> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document



## OpenAPI

````yaml /openapi.json get /api/documents/{document_id}
openapi: 3.1.0
info:
  description: >-
    Build and run voice assistants: configure an assistant, give it tools,
    knowledge and playbooks, place and read calls, and manage contacts,
    campaigns and analytics.


    Authenticate every request with an API key as a bearer token. See the API
    introduction for the response envelope, pagination and error shapes.
  title: Qall API
  version: 0.1.0
servers:
  - description: Production
    url: https://qall.io
security: []
paths:
  /api/documents/{document_id}:
    get:
      tags:
        - documents
      summary: Get Document
      operationId: get_document_api_documents__document_id__get
      parameters:
        - in: path
          name: document_id
          required: true
          schema:
            title: Document Id
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_Dict_str__Any__'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    APIResponse_Dict_str__Any__:
      properties:
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
        message:
          title: Message
          type: string
        success:
          title: Success
          type: boolean
      required:
        - success
        - message
      title: APIResponse[Dict[str, Any]]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.